Bug 1401806 - [GANESHA] Volume restart(stop followed by start) does not reexporting the volume
Summary: [GANESHA] Volume restart(stop followed by start) does not reexporting the volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Jiffin
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On:
Blocks: 1351528 1398257 1401822 1403144
TreeView+ depends on / blocked
 
Reported: 2016-12-06 07:02 UTC by Manisha Saini
Modified: 2017-03-23 05:54 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.8.4-8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1401822 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:54:14 UTC


Attachments (Terms of Use)
new_S31ganesha-start (3.44 KB, application/x-shellscript)
2016-12-06 07:33 UTC, Jiffin
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Manisha Saini 2016-12-06 07:02:12 UTC
Description of problem:
After doing start and stop on volume having ganesha enable,volume is failed to export again

Version-Release number of selected component (if applicable):

# rpm -qa | grep ganesha
nfs-ganesha-2.4.1-2.el7rhgs.x86_64
glusterfs-ganesha-3.8.4-7.el7rhgs.x86_64
nfs-ganesha-gluster-2.4.1-2.el7rhgs.x86_64


How reproducible:


Steps to Reproduce:
1.Create 4 node ganesha cluster on 8 node gluster and enable ganesha on it
2.Create a volume and enable ganesha
3.Check showmount -e.Volume is exported
4.Stop the volume
5.Again start the same volunme 

Actual results:
on restart of the volume,volume failed to get exported again.

Observed the following messages in ganesha.log

06/12/2016 12:07:24 : epoch 08220000 : dhcp47-3.lab.eng.blr.redhat.com : ganesha.nfsd-10937[dbus_heartbeat] glusterfs_create_export :FSAL :EVENT :Volume ganeshaVol1 exported at : '/'
06/12/2016 12:09:12 : epoch 08220000 : dhcp47-3.lab.eng.blr.redhat.com : ganesha.nfsd-10937[dbus_heartbeat] gsh_export_addexport :EXPORT :CRIT :Error finding exports: EXPORT(Export_Id=) because No such file or directory
06/12/2016 12:09:12 : epoch 08220000 : dhcp47-3.lab.eng.blr.redhat.com : ganesha.nfsd-10937[dbus_heartbeat] dbus_message_entrypoint :DBUS :MAJ :Method (AddExport) on (org.ganesha.nfsd.exportmgr) failed: name = (org.freedesktop.DBus.Error.InvalidArgs), message = (Error finding exports: EXPORT(Export_Id=) because No such file or directory)


Expected results:

Volume should be exported successfully on restart of the volume

Additional info:

Comment 2 Jiffin 2016-12-06 07:33:16 UTC
Created attachment 1228305 [details]
new_S31ganesha-start

The workaround for above issue is attached to the bug. Please copy this file to /var/lib/glusterd/hooks/1/start/post/ for testing purpose

Comment 3 Jiffin 2016-12-06 08:15:52 UTC
Patch posted upstream for review : http://review.gluster.org/#/c/16037/1

Comment 6 Atin Mukherjee 2016-12-09 09:16:41 UTC
upstream mainline : http://review.gluster.org/16037
upstream 3.9 : http://review.gluster.org/16093

downstream patch :https://code.engineering.redhat.com/gerrit/#/c/92556/

Comment 8 Manisha Saini 2016-12-12 11:42:47 UTC
Verified this Bug on 

[root@dhcp47-3 tmp]# rpm -qa | grep ganesha
nfs-ganesha-2.4.1-2.el7rhgs.x86_64
glusterfs-ganesha-3.8.4-8.el7rhgs.x86_64
nfs-ganesha-gluster-2.4.1-2.el7rhgs.x86_64

As the issue is no more observed,Hence marking this bug as Verified.

Comment 10 errata-xmlrpc 2017-03-23 05:54:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.